/*	Copyright (c) 1984, 1986, 1987, 1988 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#ident	"@(#)libc-i386:libc-i386/fp/fpgetsticky.c	1.2"

#include <ieeefp.h>
#include "fp.h"

fp_except
fpgetsticky()
{
	struct _sw87 sw;

	_getsw(&sw);
	return (fp_except)sw.excp;
}
